# File: Zope.spec
#
####
%define pythondir python%__python_version

Name: Zope
Version: 2.6.2
Release: alt1
License: Zope Public License (ZPL)
Url: http://www.zope.org/
PreReq: python = %__python_version
BuildRequires: python22-devel
# = %__python_version
AutoReq: yes, noshell

Source0: Zope-%version-src.tgz
Source1: Zope-utils.tgz
Source2: Zope-build.tgz
Source3: Zope-doc.tgz
Source4: ZopeBook.pdf

Patch1: Zope-build.patch
#Patch2: Zope-fcntl.patch
#Patch3: Zope-interface.patch
Patch4: Zope-tal.patch
#-
Patch5: Zope-customdb.patch
Patch6: Zope-unicode.patch
# ready
Patch7: Zope-stdin.patch
Patch8: Zope-ztutils.patch
# already applied
# -   
Patch9: Zope-warnings.patch
# not needed
Patch10: Zope-export.patch
# ready
#----------------------------------------------------------------------
Summary: Zope common installation
Summary(ru_RU.KOI8-R): Zope -   
Group: System/Servers
Requires: python = %__python_version
Requires: Zope-ZServer = %version-%release
Requires: Zope-ZUtils = %version-%release
Requires: service >= 0.5

%description
This package contains modules used by variations of Zope Application Server:
ZServer and PCGI

%description -l ru_RU.KOI8-R
       
Zope : ZServer & PCGI.

#----------------------------------------------------------------------
%package Modules
Summary: Zope modules used by ZServer and PCGI
Summary(ru_RU.KOI8-R): Zope - ,  ZServer  PCGI
Group: System/Servers/ZProducts
Requires: python = %__python_version
Requires: Zope-core = %version-%release
Requires: Zope-ZODB = %version-%release
Requires: Zope-ZPublisher = %version-%release
Requires: Zope-StructuredText = %version-%release
Requires: Zope-DateTime = %version-%release
Requires: Zope-RestrictedPython = %version-%release,
Requires: Zope-DocumentTemplate = %version-%release
Requires: Zope-TAL = %version-%release
Obsoletes: ZHotfix_2002-06-14
Obsoletes: ZHotfix_2002-04-15
Obsoletes: ZHotfix_2002-03-01
Conflicts: CrayFIX
Conflicts: ZHotfix_2002-04-15
Conflicts: ZHotfix_2002-03-01
%description Modules
This package contains modules used by variations of Zope Application Server:
ZServer and PCGI

%description Modules -l ru_RU.KOI8-R
       
Zope : ZServer & PCGI.

#----------------------------------------------------------------------
%package core
Summary: Libraries used by Zope and ZODB
Summary(ru_RU.KOI8-R): ,  Zope & ZODB.
Group: System/Servers/ZProducts
Requires: python = %__python_version
Obsoletes: ZHotfix_2002-04-15
Obsoletes: ZHotfix_2002-03-01
Conflicts: ZHotfix_2002-04-15
Conflicts: ZHotfix_2002-03-01

%description core
Package contains modules used by Zope and ZODB -- e.g. ExtensionClass,
BTree.

%description -l ru_RU.KOI8-R core
  ,  ZODB & ZOPE,   ExtensionClass,
BTree  .

#----------------------------------------------------------------------
%package ZODB
Requires: python = %__python_version, Zope-core = %version-%release
Summary: ZODB and BTrees - object-oriented database ZODB
Summary(ru_RU.KOI8-R): ZODB and BTrees - -   ZODB
Group: System/Servers
Obsoletes: ZHotfix_2002-04-15
Obsoletes: ZHotfix_2002-03-01
Conflicts: ZHotfix_2002-04-15
Conflicts: ZHotfix_2002-03-01

%description ZODB
This package contains object-oriented database serving as Zope's base.
While package is not compatible with Standalone ZODB, it can be used
separately.

ZODB is an object-oriented datanase allowing to store objects and keep
relational integrity by means of versions mechanisms and transactions
with rollback.

%description -l ru_RU.KOI8-R ZODB
  -  ,   
 Zope.       Standalone ZODB,  
 .

ZODB - -  ,  
        
    .

#----------------------------------------------------------------------
%package ZPublisher
Requires: python = %__python_version, Zope-core = %version-%release
Obsoletes: ZHotfix_2002-04-15
Obsoletes: ZHotfix_2002-03-01
Conflicts: ZHotfix_2002-04-15
Conflicts: ZHotfix_2002-03-01
Summary: ZPublisher - Zope query proceeding
Summary(ru_RU.KOI8-R): ZPublisher -    Zope
Group: System/Servers

%description ZPublisher
Package contains REQUEST and RESPONSE classes and means to work with them
used by Zope during request processing.

%description -l ru_RU.KOI8-R ZPublisher
    REQUEST, RESPONSE    
,  Zope   .

#----------------------------------------------------------------------
%package StructuredText
Requires: python = %__python_version, Zope-core = %version-%release
Obsoletes: ZHotfix_2002-04-15
Obsoletes: ZHotfix_2002-03-01
Conflicts: ZHotfix_2002-04-15
Conflicts: ZHotfix_2002-03-01
Summary: StructuredText - automatic text markup
Summary(ru_RU.KOI8-R): StructuredText -   
Group: System/Servers/ZProducts

%description StructuredText
Package provides means to automatically markup plain text with HTML tags,
while approximately preserving text layout: paragraphs, headers and lists
are detected.

Links, tables and italics/underline/bold font are also accessible.

%description -l ru_RU.KOI8-R StructuredText
       
HTML,      : 
 ,   .  
  ,      ,
   .

#----------------------------------------------------------------------
%package TAL
Requires: python = %__python_version, Zope-core = %version-%release
Obsoletes: ZHotfix_2002-04-15
Obsoletes: ZHotfix_2002-03-01
Conflicts: ZHotfix_2002-04-15
Conflicts: ZHotfix_2002-03-01
Summary: TAL - XML template engine
Summary(ru_RU.KOI8-R): TAL -   XML
Group: System/Servers/ZProducts

%description TAL
This package contains XML processing code which lets generate HTML code
described in special language.  Unlike DTML (DocumentTemplate), TAL leans
toward template editing by visual means and demands consistency of HTML
document being formed.

%description -l ru_RU.KOI8-R TAL
    XML-   
HTML-,    .    DTML
(DocumentTemplate), TAL     
       
  HTML-.

#----------------------------------------------------------------------
%package DateTime
Requires: python = %__python_version, Zope-core = %version-%release
Obsoletes: ZHotfix_2002-04-15
Obsoletes: ZHotfix_2002-03-01
Conflicts: ZHotfix_2002-04-15
Conflicts: ZHotfix_2002-03-01
Summary: Date and time representation
Summary(ru_RU.KOI8-R): DateTime -    
Group: System/Servers/ZProducts

%description DateTime
Package contains DateTime class whose objects represent time and date
and convert between widely used formats (e.g. RFC822).

%description -l ru_RU.KOI8-R DateTime
   DateTime,     
     ,    
  ( .. RFC822).

#----------------------------------------------------------------------
%package RestrictedPython
Requires: python = %__python_version, Zope-core = %version-%release
Requires: Zope-RestrictedPython = %version-%release
Requires: Zope-DateTime = %version-%release
Obsoletes: ZHotfix_2002-04-15
Obsoletes: ZHotfix_2002-03-01
Conflicts: ZHotfix_2002-04-15
Conflicts: ZHotfix_2002-03-01
Summary: RestrictedPython for protected environments
Summary(ru_RU.KOI8-R): RestrictedPython -  
Group: System/Servers/ZProducts

%description RestrictedPython
RP allows to restrict interpreter's capabilities during some code fragments
execution and thus keep potentially dangerous constructs and/or subprograms
from being executed.

%description -l ru_RU.KOI8-R RestrictedPython
     Python  
        
 .

#----------------------------------------------------------------------
%package DocumentTemplate
Requires: python = %__python_version, Zope-core = %version-%release
Obsoletes: ZHotfix_2002-04-15
Obsoletes: ZHotfix_2002-03-01
Conflicts: ZHotfix_2002-04-15
Conflicts: ZHotfix_2002-03-01
Summary: DocumentTemplate - DTML template engine
Summary(ru_RU.KOI8-R): DocumentTemplate -  DTML-
Group: System/Servers/ZProducts

%description DocumentTemplate
This package contains DocumentTemplate module which allows to work with
DTML document templates.  Template syntax is similar to HTML and has
language constructs like loop and conditional operators and exception
handling.

%description -l ru_RU.KOI8-R DocumentTemplate
   DocumentTemplate,   
DTML- .      HTML 
 ,    ,   
 .

#----------------------------------------------------------------------
%package Testing
Requires: python = %__python_version, Zope-ZODB = %version-%release
Requires: Zope-ZPublisher = %version-%release
Obsoletes: ZHotfix_2002-04-15
Obsoletes: ZHotfix_2002-03-01
Conflicts: ZHotfix_2002-04-15
Conflicts: ZHotfix_2002-03-01
Summary: Testing environment for Zope components
Summary(ru_RU.KOI8-R): Testing -    Zope
Group: System/Servers

%description Testing
Modules to carry out tests contained in Zope packages

%description -l ru_RU.KOI8-R Testing
  ,    ,  
 Zope.

#----------------------------------------------------------------------
%package ZServer
Requires: python = %__python_version, Zope-Modules = %version-%release
Obsoletes: ZHotfix_2002-04-15
Obsoletes: ZHotfix_2002-03-01
Conflicts: ZHotfix_2002-04-15
Conflicts: ZHotfix_2002-03-01
Summary: ZServer - Zope Application Server
Summary(ru_RU.KOI8-R): ZServer -   Zope
Group: System/Servers

%description ZServer
Zope object-oriented Application Server is accessible via HTTP and FTP
protocols.  It stores all objects in ZODB and forms dynamically generated
pages or other responses to client application requests.

%description -l ru_RU.KOI8-R ZServer
-   Zope,  
 HTTP  FTP. Zope      ZODB  
   (  )    
 .

#----------------------------------------------------------------------
%package ZUtils
Requires: python = %__python_version, Zope-ZHome = %version-%release
Obsoletes: ZHotfix_2002-04-15
Obsoletes: ZHotfix_2002-03-01
Conflicts: ZHotfix_2002-04-15
Conflicts: ZHotfix_2002-03-01
Summary: ZUtils - Zope startup and maintenance scripts
Summary(ru_RU.KOI8-R): ZUtils -      Zope
Group: System/Servers

%description ZUtils
Scripts helping in Zope administration: server starting, database crunching,
log rotation etc.

Package creates `zope' user and first server named `basic'.

%description -l ru_RU.KOI8-R ZUtils
  ,    Zope: ,
  ,    ..

     zope     
basic.

#----------------------------------------------------------------------
%package Book
Summary: Book about Zope from DC
Summary(ru_RU.KOI8-R):   Zope  DC
Group: System/Servers
Prefix: /usr/share/zope

%description Book
The Digital Creation's book about ZOPE in PDF format.
This book is designed to introduce you to Zope and its uses. Zope is an open
source web application server. If you are interested in writing web pages,
programming web scripts, using databases, managing content, or doing a
collaborative web development task, then you should read this book.

%description -l ru_RU.KOI8-R Book
  Digital Creation  Zope   PDF.  
         Zope 
  . Zope -  -    .
    ,     -,
 -,   ,  
     .

#----------------------------------------------------------------------
%package ZHome
Requires: python = %__python_version
Obsoletes: ZHotfix_2002-04-15
Obsoletes: ZHotfix_2002-03-01
Conflicts: ZHotfix_2002-04-15
Conflicts: ZHotfix_2002-03-01
Summary: ZHome - sample home directory of ZServer
Summary(ru_RU.KOI8-R): ZHome -    ZServer
Group: System/Servers
Prefix: /usr/share/zope

%description ZHome
Contains initial ZODB base and other files necessary for Zope to start.
Serves as a sample (or skeleton) for addzopesite.py utility to generate
new home directories.

%description -l ru_RU.KOI8-R ZHome
,    ZODB   ,   
Zope.     ,   
addzopesite.py    .

#----------------------------------------------------------------------
%prep
%setup -n Zope-%version-src -a 1
%setup -D -T -n Zope-%version-src -a 2
%setup -D -T -n Zope-%version-src -a 3
#*%patch1 -p1
#*%patch2 -p1
##%patch3 -p1
#*%patch4 -p1
#-- new --
%patch5 -p1
%patch6 -p1
%patch7 -p1
#%patch8 -p1
#%patch9 -p1
%patch10 -p1

%build
python w_pcgi.py
#pushd lib/python
#gcc -I /usr/include/python2.2/ -I ../Components/ExtensionClass/src/ -c ../Components/ExtensionClass/src/ExtensionClass.c -o ExtensionClass.o
#gcc -shared ./ExtensionClass.o -o ExtensionClass.so
#popd

%install
  # Make the Necessary Directories
  install -m0755 --directory      $RPM_BUILD_ROOT/etc/httpd/conf
  install -m0755 --directory      $RPM_BUILD_ROOT/etc/rc.d/init.d
  install -m0755 --directory      $RPM_BUILD_ROOT/etc/cron.daily
  install -m0755 --directory      $RPM_BUILD_ROOT/etc/logrotate.d
  install -m0755 --directory      $RPM_BUILD_ROOT/etc/sysconfig
  install -m0755 --directory      $RPM_BUILD_ROOT/etc/sysconfig/zope
  install -m0755 --directory      $RPM_BUILD_ROOT/%_sbindir
  install -m0755 --directory      $RPM_BUILD_ROOT/usr/lib/%pythondir/site-packages
  install -m0755 --directory      $RPM_BUILD_ROOT/usr/lib/%pythondir/lib-dynload

  install -m0755 --directory      $RPM_BUILD_ROOT/usr/share/doc/Zope-%version
  install -m0755 --directory      $RPM_BUILD_ROOT/usr/share/doc/ZopeBook
  # Directory Structure for SOFTWARE_HOME=/usr/lib/zope/
  install -m0755 --directory      $RPM_BUILD_ROOT/usr/lib/zope
  install -m0755 --directory      $RPM_BUILD_ROOT/usr/lib/zope/lib
  install -m0755 --directory      $RPM_BUILD_ROOT/usr/lib/zope/lib/python
  install -m0755 --directory      $RPM_BUILD_ROOT/usr/lib/zope/utilities

  # Directory Structure for INSTANCE_HOME=/var/zope/
  install -m0755 --directory      $RPM_BUILD_ROOT/var/lib/zope
  install -m0755 --directory      $RPM_BUILD_ROOT/var/log/zope
  install -m0775 --directory      $RPM_BUILD_ROOT%prefix
  install -m0775 --directory      $RPM_BUILD_ROOT%prefix/Products
  install -m0775 --directory      $RPM_BUILD_ROOT%prefix/Extensions
  install -m0775 --directory      $RPM_BUILD_ROOT%prefix/import
  install -m0775 --directory      $RPM_BUILD_ROOT%prefix/var

  ln -sf /usr/lib/zope/lib/python/Products/PageTemplates/examples/zpt_examples.zexp $RPM_BUILD_ROOT%prefix/import

  cd lib/python
  for i in BTrees DateTime DocumentTemplate Interface RestrictedPython StructuredText Testing ZODB TAL \
           zLOG ZLogger ZPublisher Persistence ThreadedAsync ZTUtils ZopeUndo;
    do cp -Rdp  $i $RPM_BUILD_ROOT/usr/lib/%pythondir/site-packages
  done

  # ?? tempfile
  for i in LOG ts_regex;
    do cp -dp $i.p* $RPM_BUILD_ROOT/usr/lib/%pythondir/site-packages
  done

  cp -dp *.so $RPM_BUILD_ROOT/usr/lib/%pythondir/lib-dynload

  for i in AccessControl App HelpSys OFS Products SearchIndex Shared Signals TreeDisplay ZClasses Zope webdav zdaemon zExceptions version.txt;
    do cp -Rdp  $i $RPM_BUILD_ROOT/usr/lib/zope/lib/python
  done

  for i in Globals ImageFile Main dcdb xmlrpclib Lifetime;
    do cp -dp  $i.p* $RPM_BUILD_ROOT/usr/lib/zope/lib/python
  done

  cd ../..

  cp -dp z2.p* $RPM_BUILD_ROOT/usr/lib/zope
  cp -Rdp ZServer  $RPM_BUILD_ROOT/usr/lib/zope
  cp -Rdp utilities  $RPM_BUILD_ROOT/usr/lib/zope
  cp -dp import/* $RPM_BUILD_ROOT/usr/share/zope/import

  python zpasswd.py -u admin -p 12345678 inituser
  cp zpasswd.p* $RPM_BUILD_ROOT/usr/lib/zope/utilities
  chmod 755 $RPM_BUILD_ROOT/usr/lib/zope/utilities/zpasswd.py
  ln -sf /usr/lib/zope/utilities/zpasswd.py $RPM_BUILD_ROOT/usr/sbin/zpasswd

  cp -dp Zope-doc/* $RPM_BUILD_ROOT/usr/share/doc/Zope-%version
  cp -dpr doc $RPM_BUILD_ROOT/usr/share/doc/Zope-%version/doc

  cp -dp Zope-utils/lib/custom_zodb.py* $RPM_BUILD_ROOT/usr/lib/zope/lib/python
  cp -dp Zope-utils/cfg/zope_default $RPM_BUILD_ROOT/etc/sysconfig
  cp -dp Zope-utils/cfg/zope_hosts.cfg $RPM_BUILD_ROOT/etc/sysconfig
  cp -dp Zope-utils/cfg/zope_local.cfg $RPM_BUILD_ROOT/etc/sysconfig
  cp -dp Zope-utils/cfg/zope_proxy.conf $RPM_BUILD_ROOT/etc/httpd/conf
  cp -dp Zope-utils/cfg/cron.daily.zope  $RPM_BUILD_ROOT/etc/cron.daily/zope
  cp -dp Zope-utils/cfg/logrotate.d.zope $RPM_BUILD_ROOT/etc/logrotate.d/zope
  cp -dp Zope-utils/init.d.zope $RPM_BUILD_ROOT/etc/rc.d/init.d/zope
  cp -dp Zope-utils/init.d.zope.master22 $RPM_BUILD_ROOT/usr/share/doc/Zope-%version
  cp -dp Zope-utils/addzopesite.py*  $RPM_BUILD_ROOT/%_sbindir
  cp -dp Zope-utils/zope_pack.py* $RPM_BUILD_ROOT/%_sbindir
  cp -dp Zope-utils/zope_storage.py*  $RPM_BUILD_ROOT/%_sbindir

  cp -dp var/Data.fs $RPM_BUILD_ROOT%prefix/var
  cp -dp Extensions/*  $RPM_BUILD_ROOT%prefix/Extensions

  for i in inituser start stop;
    do cp -dp $i $RPM_BUILD_ROOT%prefix
  done

  cp $RPM_SOURCE_DIR/ZopeBook.pdf $RPM_BUILD_ROOT/usr/share/doc/ZopeBook

%pre ZHome
/usr/sbin/groupadd -r -f zope 2>/dev/null || :
/usr/sbin/useradd -g zope -c 'Zope server' -d /var/lib/zope -s '' -r zope 2>/dev/null || :

%post ZUtils
if [ -e "/var/lib/zope/basic" ];
	then echo "Basic site already exist and will not be upgareded";
	else /usr/sbin/addzopesite.py basic 8000;
fi;

%files
    %defattr(-, root, root)

%files Modules
    %defattr(-, root, root)
    /usr/lib/zope/lib
    /usr/lib/zope/utilities
    /usr/lib/zope/z2.p*
    %_sbindir/zpasswd
    /usr/share/doc/Zope-%version

%files core
    %defattr(-, root, root)
    /usr/lib/%pythondir/lib-dynload
    /usr/lib/%pythondir/site-packages/*.py
    /usr/lib/%pythondir/site-packages/*.pyc
    /usr/lib/%pythondir/site-packages/Interface
    /usr/lib/%pythondir/site-packages/ZLogger
    /usr/lib/%pythondir/site-packages/zLOG
    /usr/lib/%pythondir/site-packages/ThreadedAsync
    /usr/lib/%pythondir/site-packages/ZTUtils

%files ZODB
    %defattr(-, root, root)
    /usr/lib/%pythondir/site-packages/ZopeUndo
    /usr/lib/%pythondir/site-packages/ZODB
    /usr/lib/%pythondir/site-packages/BTrees
    /usr/lib/%pythondir/site-packages/Persistence

%files ZPublisher
    %defattr(-, root, root)
    /usr/lib/%pythondir/site-packages/ZPublisher

%files StructuredText
    %defattr(-, root, root)
    /usr/lib/%pythondir/site-packages/StructuredText

%files TAL
    %defattr(-, root, root)
    /usr/lib/%pythondir/site-packages/TAL

%files DateTime
    %defattr(-, root, root)
    /usr/lib/%pythondir/site-packages/DateTime

%files RestrictedPython
    %defattr(-, root, root)
    /usr/lib/%pythondir/site-packages/RestrictedPython

%files DocumentTemplate
    %defattr(-, root, root)
    /usr/lib/%pythondir/site-packages/DocumentTemplate

%files Testing
    %defattr(-, root, root)
    /usr/lib/%pythondir/site-packages/Testing

%files ZServer
    %defattr(-, root, root)
    /usr/lib/zope/ZServer

%files ZUtils
    %defattr(-, root, root)
    /etc/cron.daily/*
    /etc/rc.d/init.d/*
    /etc/logrotate.d/*
    %config(noreplace) /etc/sysconfig/zope_default
    %config(noreplace) /etc/sysconfig/zope_hosts.cfg
    %config(noreplace) /etc/sysconfig/zope_local.cfg
    %dir /etc/sysconfig/zope
    %config(noreplace) /etc/httpd/conf/zope_proxy.conf
    %_sbindir/*.py*
    /var/lib/zope
    /var/log/zope
    # /usr/lib/zope/lib/python/custom_zodb.py

%files ZHome
    %defattr(-, zope, zope)
    %prefix/Extensions
    %prefix/Products
    %prefix/import
    %prefix/var
    %prefix/start
    %prefix/stop
    %prefix/inituser

%files Book
    %defattr(-, root, root)
    /usr/share/doc/ZopeBook

%changelog
* Mon Oct 20 2003 Andrey Orlov <cray@altlinux.ru> 2.6.2-alt1
- New versions from DC;
- Some unneeded requires excluded;

* Tue Sep 09 2003 Andrey Orlov <cray@altlinux.ru> 2.6.1-alt3
- Fix of unicode support broken on locale "C" (Special thank's for
  our Belorussian customers);

* Thu Aug 21 2003 Andrey Orlov <cray@altlinux.ru> 2.6.1-alt2
- Add obsolet clause for ZHotfix-2002-06-14

* Tue Aug 19 2003 Andrey Orlov <cray@altlinux.ru> 2.6.1-alt1
- Documentation synchronized with Alt Documentation Team;
- Patch from avl@l14.ru removed (initscript was changed in place);
- Fixed  bugs described in mantis reports (0002051, 0002061);
- Treatment protocol "localhttp" added into zope_proxy.conf;
- Access to ControlPanel is available now for protocol "localhttp" from
  hosts, allowed in zope_local.cfg.

* Tue Jul 01 2003 Aleksandr Blokhin (Sass) <sass@altlinux.ru> 2.6.1-alt0.7
- added patch by avl@l14.ru which corrected initscript

* Wed Jun 25 2003 Andrey Orlov <cray@altlinux.ru> 2.6.1-alt0.6
- Add old init script into /usr/share/doc/Zope catalog;
- Change addzopesite script for create export catalog and set owner root for
  var;

* Tue Jun 24 2003 Andrey Orlov <cray@altlinux.ru> 2.6.1-alt0.5
- Init script use start_daemon & stop_daemon functions now.

* Mon Jun 02 2003 Andrey Orlov <cray@altlinux.ru> 2.6.1-alt0.4
- getProperty now use locale settings if management_page_encoding is not
  defined;

* Wed May 28 2003 Andrey Orlov <cray@altlinux.ru> 2.6.1-alt0.3
- Fix some problems with property encoding (for non-string types);
- Add ZOPE_OPTIONS option;
- ZOPE_STDOUT option can be used now;
- Add "export" patch: Zope export *.zexp into "./export" catalog (
  it was exported into "./var" catalog before);

* Thu May 22 2003 Andrey Orlov <cray@altlinux.ru> 2.6.1-alt0.2
- ZTUtils patches from developers version are added
- Warning about untested Python 2.2.2 replace on "Tested By Freehand"
  (we execute it on production servers);

* Sun May 11 2003 Andrey Orlov <cray@altlinux.ru> 2.6.1-alt0.1
- New version from Zope.ORG
- Patch for correct unicode treatment was adopted to new
  ideas of zope community.
- Patch to close stdin if zope is not run in debug mode was applied.

* Sun Dec 14 2002 Andrey Orlov <cray@altlinux.ru> 2.6.0-alt0.5
- New version from Zope.ORG
- Patch for correct unicode treatment added.

* Sat Dec 14 2002 Andrey Orlov <cray@altlinux.ru> 2.5.1-alt4
- Sample of using Apache for serving file request added;
- Package dependeces refactored : Single common package - Zope -
  are to install now, other packages will be installes automatically;
- Rewrite log level assing 0 and rewrite log turn off now (there was
  some error after last debugging);
- Documentation enhanced;

* Sat Nov 09 2002 Andrey Orlov <cray@altlinux.ru> 2.5.1-alt3
- Some docs updated and converted in docbook
- Tested on python2.2
- Utilities has been tested and fixed for new use cases
- Fix some Zope.spec incompatibilities

* Fri Oct 4 2002 Andrey Orlov <cray@altlinux.ru> 2.5.1-alt2
- Fix DeprecationWarning (strop functions are obsolete) in
  module TAL
- Add advanced logging support
- Add custom ZODB support

* Fri May 17 2002 Andrey Orlov <cray@altlinux.ru> 2.5.0-alt6
- Reuse losted alt3 fixes
- Fix some spec definitions

* Fri May 17 2002 Andrey Orlov <cray@altlinux.ru> 2.5.0-alt5
- Fix python2.2.1 incompatibiity in Interface/iclass.py

* Sun Apr 14 2002 Uzorin Pavel <pitch@altlinux.ru> 2.5.0-alt4
- Add and change documentation
- Moved logs to /var/log/zope
- Fix init scripts

* Wed Feb 27 2002 Uzorin Pavel <pitch@altlinux.ru> 2.5.0-alt3
- Add ZopeBook package
- Fix comment
- Added some changes :)

* Thu Feb 21 2002 Uzorin Pavel <pitch@altlinux.ru> 2.5.0-alt3
- Restarting ZServer with FCNTL deprecated in Python 2.2 bug
  has been fixed

* Tue Feb 12 2002 Uzorin Pavel <pitch@altlinux.ru> 2.5.0-alt2
- Documentation and configuration files added

* Tue Feb 12 2002 Uzorin Pavel <pitch@altlinux.ru> 2.5.0-iig1
- Initial revision
